Subject: bug#18556: 24.4.50; update-file-autoloads never ends

From: Vincent Belaïche <[email-masked]>
Date: Mon, 29 Sep 2014 08:38:15 +0200

Hello Eli,

Just to clarify the point that -Q should or not prevent the shadowing:
it *should* prevent shadowing.

What I do in the init.el is that I remove from load-path the path to the
eieio bundled with Emacs, and I replace it with another one on some
cedet anonymous checkout.

So, if I have -Q this hacking of load-path does not occur, and shadowing
bundled module won't occur.

FYI, attached is load-path-to-cedet-svn.el which is loaded from my init file
to do the shadowing.

  Vincent.

----------------------------------------
> Date: Sun, 28 Sep 2014 19:24:42 +0300
> From: [email-masked]
> Subject: Re: bug#18556: 24.4.50; update-file-autoloads never ends
> To: [email-masked]
> CC: [email-masked]; [email-masked]; [email-masked]
>
>> From: Vincent Belaïche <[email-masked]>
>> Cc: Vincent Belaïche <[email-masked]> ,
>> [email-masked]
>> Date: Sun, 28 Sep 2014 11:56:38 +0200
>>
>> It is fully possible that balance.el requires some package not in the
>> emacs trunk as I have this in my ~/.emacs.d/init.el
>>
>> -----------------------------------------------------------------------
>> ;; remove CEDET/EIEIO/SPEEDBAR that are distributed with EMACS from the load
>> ;; path, and replace them with those of CEDET distribution
>> (load "~/.emacs.d/etc/load-path-to-cedet-svn.el")
>> -----------------------------------------------------------------------
>>